package com.goafanti.order.bo.outStatistics;

import com.goafanti.common.utils.excel.Excel;

import java.math.BigDecimal;

public class OutOrderSalesSourceAmount {
    private Integer province;
    @Excel(name = "省份",width = 10)
    private String name;
    @Excel(name = "签单金额（万元）",scale=6)
    private BigDecimal totalAmount;
    @Excel(name = "签单数（个）",width = 10)
    private Integer counts;
    @Excel(name = "电话新开发",width = 10)
    private BigDecimal dhxkf;
    @Excel(name = "电话新开发占比",percentage = 1,width = 10,scale = 2)
    private String dhxkfl;
    @Excel(name = "电话自带资源",width = 10)
    private BigDecimal dhzdzy;
    @Excel(name = "电话自带资源占比",percentage = 1,width = 10,scale = 2)
    private String dhzdzyl;
    @Excel(name = "网络",width = 10)
    private BigDecimal wl;
    @Excel(name = "网络占比",percentage = 1,width = 10,scale = 2)
    private String wll;
    @Excel(name = "渠道",width = 10)
    private BigDecimal qd;
    @Excel(name = "渠道占比",percentage = 1,width = 10,scale = 2)
    private String qdl;
    @Excel(name = "转介绍",width = 10)
    private BigDecimal zjs;
    @Excel(name = "转介绍占比",percentage = 1,width = 10,scale = 2)
    private String zjsl;
    @Excel(name = "其他",width = 10)
    private BigDecimal qt;
    @Excel(name = "其他占比",percentage = 1,width = 10,scale = 2)
    private String qtl;
    @Excel(name = "高新复购",width = 10)
    private BigDecimal gxfg;
    @Excel(name = "高新复购占比",percentage = 1,width = 10,scale = 2)
    private String gxfgl;
    @Excel(name = "其他复购",width = 10)
    private BigDecimal qtfg;
    @Excel(name = "其他复购占比",percentage = 1,width = 10,scale = 2)
    private String qtfgl;

    public Integer getProvince() {
        return province;
    }

    public void setProvince(Integer province) {
        this.province = province;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public BigDecimal getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(BigDecimal totalAmount) {
        this.totalAmount = totalAmount;
    }

    public Integer getCounts() {
        return counts;
    }

    public void setCounts(Integer counts) {
        this.counts = counts;
    }

    public BigDecimal getDhxkf() {
        return dhxkf;
    }

    public void setDhxkf(BigDecimal dhxkf) {
        this.dhxkf = dhxkf;
    }

    public String getDhxkfl() {
        return dhxkfl;
    }

    public void setDhxkfl(String dhxkfl) {
        this.dhxkfl = dhxkfl;
    }

    public BigDecimal getDhzdzy() {
        return dhzdzy;
    }

    public void setDhzdzy(BigDecimal dhzdzy) {
        this.dhzdzy = dhzdzy;
    }

    public String getDhzdzyl() {
        return dhzdzyl;
    }

    public void setDhzdzyl(String dhzdzyl) {
        this.dhzdzyl = dhzdzyl;
    }

    public BigDecimal getWl() {
        return wl;
    }

    public void setWl(BigDecimal wl) {
        this.wl = wl;
    }

    public String getWll() {
        return wll;
    }

    public void setWll(String wll) {
        this.wll = wll;
    }

    public BigDecimal getQd() {
        return qd;
    }

    public void setQd(BigDecimal qd) {
        this.qd = qd;
    }

    public String getQdl() {
        return qdl;
    }

    public void setQdl(String qdl) {
        this.qdl = qdl;
    }

    public BigDecimal getZjs() {
        return zjs;
    }

    public void setZjs(BigDecimal zjs) {
        this.zjs = zjs;
    }

    public String getZjsl() {
        return zjsl;
    }

    public void setZjsl(String zjsl) {
        this.zjsl = zjsl;
    }

    public BigDecimal getQt() {
        return qt;
    }

    public void setQt(BigDecimal qt) {
        this.qt = qt;
    }

    public String getQtl() {
        return qtl;
    }

    public void setQtl(String qtl) {
        this.qtl = qtl;
    }

    public BigDecimal getGxfg() {
        return gxfg;
    }

    public void setGxfg(BigDecimal gxfg) {
        this.gxfg = gxfg;
    }

    public String getGxfgl() {
        return gxfgl;
    }

    public void setGxfgl(String gxfgl) {
        this.gxfgl = gxfgl;
    }

    public BigDecimal getQtfg() {
        return qtfg;
    }

    public void setQtfg(BigDecimal qtfg) {
        this.qtfg = qtfg;
    }

    public String getQtfgl() {
        return qtfgl;
    }

    public void setQtfgl(String qtfgl) {
        this.qtfgl = qtfgl;
    }
}
